nxt.blockchain

## Interface FxtTransaction

- All Superinterfaces:
    AccountLedger.LedgerEventId, Transaction
  All Known Subinterfaces:
    ChildBlockFxtTransaction
  All Known Implementing Classes:
    FxtTransactionImpl

      public interface FxtTransaction
      extends Transaction

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `FxtTransaction.Builder`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<? extends ChildTransaction>` | `getChildTransactions()`
    `java.util.List<? extends ChildTransaction>` | `getSortedChildTransactions()`
    `void` | `setChildTransactions(java.util.List<? extends ChildTransaction> childTransactions, byte[] blockHash)`

    - ### Methods inherited from interface nxt.blockchain.Transaction

      `getAmount, getAppendages, getAppendages, getAppendages, getAttachment, getBlock, getBlockId, getBlockTimestamp, getBytes, getChain, getDeadline, getECBlockHeight, getECBlockId, getExpiration, getFee, getFullHash, getFullSize, getHeight, getId, getIndex, getJSONObject, getMinimumFeeFQT, getPrunableAttachmentJSON, getPrunableBytes, getPrunableEncryptedMessage, getPrunablePlainMessage, getRecipientId, getSenderId, getSenderPublicKey, getSignature, getStringId, getTimestamp, getType, getUnsignedBytes, getVersion, isPhased, validate, verifySignature`

- - ### Method Detail

    - #### getChildTransactions

          java.util.Collection<? extends ChildTransaction> getChildTransactions()

    - #### getSortedChildTransactions

          java.util.List<? extends ChildTransaction> getSortedChildTransactions()

    - #### setChildTransactions

          void setChildTransactions(java.util.List<? extends ChildTransaction> childTransactions,
                                    byte[] blockHash)
                             throws NxtException.NotValidException

      Throws:
        `NxtException.NotValidException`